Конфликт js

Тема в разделе "JavaScript", создана пользователем minimalism, 7 фев 2012.

Модераторы: ZiX
  1. minimalism

    minimalism Создатель

    Регистр.:
    6 июл 2011
    Сообщения:
    31
    Симпатии:
    1
    Доброго времени суток!
    На сайте стоит несколько js скриптов и всё работает.Но есть раздел сайта где есть ещё плюс один js скрипт из-за чего он единственный работает,а все остальные нет.
    Вот страница стандартная Перейти по ссылке и вот этот скрипт дополнительный в контенте при наводе передвигаются цвета черепицы но вот меню не раскрывается слайды в шапке не работают вообщем ничего не работает кроме скрипта цветов.
    Помогите пожалуйста разобратся в чём проблема?
    Спасибо!
     
  2. PhantomUA

    PhantomUA Инквизитор

    Moderator
    • Супермодератор
    Регистр.:
    2 июл 2006
    Сообщения:
    759
    Симпатии:
    1.640
    Код:
    $(".slider-left ul, .slider-right ul").jcarousel is not a function
    А зачем на одной странице 2 версии jquery?
    jquery-1.4.2.js и jquery-1.2.6.js и плюс еще mootools :)

    Конечно что в таком случае будут конфликты )
     
    minimalism нравится это.
  3. =kisa=

    =kisa= Создатель

    Регистр.:
    11 фев 2009
    Сообщения:
    24
    Симпатии:
    2
    у меня в опере работает
     
  4. php3ik

    php3ik Создатель

    Регистр.:
    24 авг 2011
    Сообщения:
    14
    Симпатии:
    1
    mootools с jquery без адаптивных скриптов вместе юзать не рекомендуется. особенно когда jquery последних версий. конфликтов в хроме и сафари много. за ие я просто молчу.
     
  5. gls

    gls Комбат

    Регистр.:
    11 янв 2007
    Сообщения:
    574
    Симпатии:
    290
    я решил такую проблему e себя переименованием в jquery все $ на $$
     
  6. dino

    dino

    Регистр.:
    28 май 2009
    Сообщения:
    550
    Симпатии:
    204